Bug 1101303 (CVE-2014-0245)

Summary: CVE-2014-0245 GateIn WSRP: Information disclosure via unsafe concurrency handling in interceptor
Product: [Other] Security Response Reporter: Arun Babu Neelicattu <aneelica>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bdawidow, chazlett, grocha, jpallich, mweiler, security-response-team, theute
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gatein-wsrp-2.3.1.Final-prod-1 Doc Type: Bug Fix
Doc Text:
It was found that the implementation of the GTNSubjectCreatingInterceptor class in gatein-wsrp was not thread safe. For a specific WSRP endpoint, under high-concurrency scenarios or scenarios where SOAP messages take long to execute, it was possible for an unauthenticated remote attacker to gain privileged information if WS-Security is enabled for the WSRP Consumer, and the endpoint in question is being used by a privileged user.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:33:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1101304, 1101305    
Bug Blocks: 1082938, 1101321    

Description Arun Babu Neelicattu 2014-05-26 18:21:12 UTC
It was found that the implementation of GTNSubjectCreatingInterceptor class in gatein-wsrp was not thread safe. For a specific WSRP endpoint, under high-concurrency scenarios or scenarios where SOAP messages take long to execute, it is possible for an unauthenticated remote attacker to gain privileged information if WS-Security is enabled for the WSRP Consumer and the endpoint in question is being used by a privileged user.

Comment 3 Kurt Seifried 2015-02-26 19:45:49 UTC
I would like to propose unembargoing this issue public as it is low severity. If there is a significant reason to leave this issue embargoed please let me know.

Comment 5 Chess Hazlett 2015-03-19 19:27:08 UTC
unembargoed.

Comment 6 errata-xmlrpc 2015-05-14 15:18:51 UTC
This issue has been addressed in the following products:

  JBoss Portal 6.2.0

Via RHSA-2015:1009 https://rhn.redhat.com/errata/RHSA-2015-1009.html